.player {
    margin-top: 10px;
    display: flex;
    flex-direction: row;
    background-color: #f2f2f2;
    padding: 5px;
}

.player > div:first-child {
    width: 30px;
    height: 30px;
    background-image: url("../img/sprites.svg");
    background-repeat: no-repeat;
    background-size: 200px 250px;
    background-position: -5px 0px;
}

.player > .play:hover, .playmusic > .next:hover, .playmusic > .prev:hover, .playmusic > .play:hover, .player > div:nth-child(3) {
    cursor: pointer;
}

.player > div:nth-child(2) {
    margin: 7px 90px 0 20px;
    color: #6a6a6a;
    transform: translateY(-3px);
}

.player > div:nth-child(3) {
    margin-left: auto;
    color: #6a6a6a;
}

.playmusic {
    grid-column: 1/13;
    width: 100%;
    height: 50px;
    position: fixed;
    bottom: 0;
    background-color: #f2f2f2;
    display: none;
    grid-template-columns: repeat(11, calc((100% - 200px) / 11));
    grid-column-gap: 20px;
    box-sizing: border-box;
    padding: 10px 0;
    color: #6a6a6a;
}

.playmusic > .prev {
    margin-left: 90px;
    width: 40px;
    height: 50px;
    background-image: url("../img/sprites.svg");
    background-repeat: no-repeat;
    background-size: 450px 450px;
    background-position: -158px -11px;
}

.playmusic > .play {
    width: 25px;
    height: 50px;
    background-image: url("../img/sprites.svg");
    background-repeat: no-repeat;
    background-size: 300px 300px;
    background-position: -47px -2px;
}

.playmusic > .next {
    width: 40px;
    height: 50px;
    transform: rotate(180deg);
    background-image: url("../img/sprites.svg");
    background-repeat: no-repeat;
    background-size: 450px 450px;
    background-position: -158px 5px;
}

.title {
    grid-column: 4/7;
    margin: 10px;
    display: flex;
    flex-direction: column;
    transform: translateY(-7px);
}

.time {
    width: 100%;
    position: fixed;
    bottom: 45px;
    display: none;
}

.playmusic > div:last-child > .volume {
    width: 40px;
    height: 50px;
    background-image: url("../img/sprites.svg");
    background-repeat: no-repeat;
    background-size: 300px 300px;
    background-position: -161px -3px;
    margin: 0 0 0 15px;
}

.playmusic > div:last-child {
    display: flex;
    flex-direction: column-reverse;
}

.range {
    width: 50px;
    height: 160px;
    border: 1px solid black;
    border-radius: 15px;
    bottom: 70px;
    position: fixed;
    background-color: #fff;
    opacity: 0;
    transition: opacity 1.5s;
    margin-left: 8px;
}

.volume:hover {
    cursor: pointer;
}

.volume:hover + .range, .volume + .range:hover {
    opacity: 1;
    transition: opacity 1s;
}

.time > input {
    background: #d3d3d3;
    outline: none;
    appearance: none;
    height: 7px;
    width: 100%;
    margin: 0;
    cursor: pointer;
    background-image: linear-gradient(#b2c86d, #b2c86d);
    background-size: 0% 100%;
    background-repeat: no-repeat;
}

.time > input::-webkit-slider-thumb {
    appearance: none;
    width: 0px;
    height: 0px;
}

.range > input {
    transform: rotate(270deg);
    margin: 75px 0 0 -40px;
    background: #d3d3d3;
    outline: none;
    opacity: 0.7;
    appearance: none;
    border-radius: 5px;
    transition: opacity .2s;
    height: 15px;
    background-image: linear-gradient(#01a89e, #01a89e);
    background-size: 70% 100%;
    background-repeat: no-repeat;
}

.range > input::-webkit-slider-thumb {
    appearance: none;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #00746b;
    cursor: pointer;
}

.timer {
    margin: 10px 0 0 15px;
    transform: translateY(-7px);
}

@media (max-width: 960px) {
    .playmusic {
        grid-column: 1/9;
    }

    .playmusic > .prev {
        margin-left: 5px;
    }

    .title, .timer {
        font-size: 10pt;
        transform: translateY(-2px);
    }
}

@media (max-width: 480px) {

}